"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecretValuesAssignmentActionHandler = exports.SecretValuesAssignmentActionProcessor = void 0;
const BaseValuesAssignmentActionProcessor_1 = require("./BaseValuesAssignmentActionProcessor");
const models_1 = require("../../models");
class SecretValuesAssignmentActionProcessor extends BaseValuesAssignmentActionProcessor_1.BaseValuesAssignmentActionProcessor {
    /**
     * @inheritdoc
     */
    getAssignmentKey() {
        return 'secrets';
    }
}
exports.SecretValuesAssignmentActionProcessor = SecretValuesAssignmentActionProcessor;
class SecretValuesAssignmentActionHandler extends models_1.ActionHandler {
    /**
     * @inheritdoc
     */
    getMetadata() {
        return SecretValuesAssignmentActionHandler.metadata;
    }
    /**
     * @inheritdoc
     */
    getProcessor(options, context, snapshot, parameters) {
        return new SecretValuesAssignmentActionProcessor(options, context, snapshot, parameters);
    }
}
exports.SecretValuesAssignmentActionHandler = SecretValuesAssignmentActionHandler;
SecretValuesAssignmentActionHandler.metadata = {
    id: 'com.fireblink.fbl.secret.values',
    aliases: ['fbl.secret.values', 'secret.values', 'secrets', 'secret'],
    considerOptionsAsSecrets: true,
};
//# sourceMappingURL=SecretValuesAssignmentActionHandler.js.map