"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SummaryRecordActionHandler = exports.SummaryRecordActionProcessor = void 0;
const models_1 = require("../../models");
const Joi = require("joi");
class SummaryRecordActionProcessor extends models_1.ActionProcessor {
    /**
     * @inheritdoc
     */
    getValidationSchema() {
        return SummaryRecordActionProcessor.validationSchema;
    }
    /**
     * @inheritdoc
     */
    execute() {
        return __awaiter(this, void 0, void 0, function* () {
            this.context.summary.push(this.options);
            this.snapshot.setContext(this.context);
        });
    }
}
exports.SummaryRecordActionProcessor = SummaryRecordActionProcessor;
SummaryRecordActionProcessor.validationSchema = Joi.object({
    title: Joi.string().min(1).required(),
    status: Joi.string().min(1).required(),
    duration: Joi.string().min(1),
    payload: Joi.any(),
})
    .required()
    .options({ abortEarly: true });
class SummaryRecordActionHandler extends models_1.ActionHandler {
    /**
     * @inheritdoc
     */
    getMetadata() {
        return SummaryRecordActionHandler.metadata;
    }
    /**
     * @inheritdoc
     */
    getProcessor(options, context, snapshot, parameters) {
        return new SummaryRecordActionProcessor(options, context, snapshot, parameters);
    }
}
exports.SummaryRecordActionHandler = SummaryRecordActionHandler;
SummaryRecordActionHandler.metadata = {
    id: 'com.fireblink.fbl.context.summary',
    aliases: ['fbl.context.summary', 'context.summary', 'summary'],
};
//# sourceMappingURL=SummaryRecordActionHandler.js.map