import { ActionProcessor } from '../../models';
import { ChildProcessService } from '../../services';
export declare abstract class BaseExecutableActionProcessor extends ActionProcessor {
    get childProcessService(): ChildProcessService;
    /**
     * Execute shell command
     * @param executable
     * @param args
     * @param wd
     * @param options
     */
    exec(executable: string, args: any[], wd?: string, options?: {
        stdout?: boolean;
        stderr?: boolean;
        verbose?: boolean;
    }): Promise<{
        code: number;
        stdout?: string;
        stderr?: string;
        error?: any;
    }>;
    /**
     * Store execution result in context
     * @param snapshot
     * @param context
     * @param parameters
     * @param assignTo
     * @param pushTo
     * @param result
     */
    storeResult(assignTo: {
        ctx?: string;
        secrets?: string;
        parameters?: string;
        override?: boolean;
    }, pushTo: {
        ctx?: string;
        secrets?: string;
        parameters?: string;
        override?: boolean;
        children?: boolean;
    }, result: {
        code: number;
        stdout?: string;
        stderr?: string;
        error?: any;
    }): Promise<void>;
}
