import { ActionHandler, ActionSnapshot, ActionProcessor } from '../../models';
import { IActionHandlerMetadata, IContext, IDelegatedParameters } from '../../interfaces';
import * as Joi from 'joi';
export declare class FunctionActionProcessor extends ActionProcessor {
    private static validationSchema;
    private static functionResultValidationSchema;
    /**
     * @inheritdoc
     */
    getValidationSchema(): Joi.Schema | null;
    /**
     * @inheritdoc
     */
    execute(): Promise<void>;
}
export declare class FunctionActionHandler extends ActionHandler {
    private static metadata;
    /**
     * @inheritdoc
     */
    getMetadata(): IActionHandlerMetadata;
    /**
     * @inheritdoc
     */
    getProcessor(options: any, context: IContext, snapshot: ActionSnapshot, parameters: IDelegatedParameters): ActionProcessor;
}
