import { ActionSnapshot, ActionProcessor, ActionHandler } from '../../models';
import { IActionHandlerMetadata, IContext, IDelegatedParameters } from '../../interfaces';
import * as Joi from 'joi';
import { BaseExecutableActionProcessor } from './BaseExecutableActionProcessor';
export declare class SheelActionProcessor extends BaseExecutableActionProcessor {
    private static validationSchema;
    /**
     * @inheritdoc
     */
    getValidationSchema(): Joi.Schema | null;
    /**
     * @inheritdoc
     */
    execute(): Promise<void>;
}
export declare class ShellActionHandler extends ActionHandler {
    private static metadata;
    /**
     * @inheritdoc
     */
    getMetadata(): IActionHandlerMetadata;
    /**
     * @inheritdoc
     */
    getProcessor(options: any, context: IContext, snapshot: ActionSnapshot, parameters: IDelegatedParameters): ActionProcessor;
}
