"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvokeActionHandler = exports.InvokeActionProcessor = void 0;
const models_1 = require("../../models");
const schemas_1 = require("../../schemas");
const typedi_1 = require("typedi");
const services_1 = require("../../services");
class InvokeActionProcessor extends models_1.ActionProcessor {
    /**
     * @inheritdoc
     */
    getValidationSchema() {
        return InvokeActionProcessor.validationSchema;
    }
    /**
     * @inheritdoc
     */
    execute() {
        return __awaiter(this, void 0, void 0, function* () {
            const flowService = typedi_1.default.get(services_1.FlowService);
            const childSnapshot = yield flowService.executeAction(this.snapshot.source, this.snapshot.wd, this.options, this.context, this.parameters, this.snapshot);
            this.snapshot.registerChildActionSnapshot(childSnapshot);
        });
    }
}
exports.InvokeActionProcessor = InvokeActionProcessor;
InvokeActionProcessor.validationSchema = schemas_1.FBL_ACTION_SCHEMA;
class InvokeActionHandler extends models_1.ActionHandler {
    /**
     * @inheritdoc
     */
    getMetadata() {
        return InvokeActionHandler.metadata;
    }
    /**
     * @inheritdoc
     */
    getProcessor(options, context, snapshot, parameters) {
        return new InvokeActionProcessor(options, context, snapshot, parameters);
    }
}
exports.InvokeActionHandler = InvokeActionHandler;
InvokeActionHandler.metadata = {
    id: 'com.fireblink.fbl.flow.invoke',
    aliases: ['fbl.flow.invoke', 'flow.invoke', 'invoke'],
};
//# sourceMappingURL=InvokeActionHandler.js.map