import { ActionHandler, ActionSnapshot, ActionProcessor } from '../../models';
import * as Joi from 'joi';
import { IActionHandlerMetadata, IContext, IDelegatedParameters } from '../../interfaces';
export declare class VirtualFlowActionProcessor extends ActionProcessor {
    private static validationSchema;
    /**
     * @inheritdoc
     */
    getValidationSchema(): Joi.Schema | null;
    /**
     * @inheritdoc
     */
    validate(): Promise<void>;
    /**
     * @inheritdoc
     */
    execute(): Promise<void>;
}
export declare class VirtualFlowActionHandler extends ActionHandler {
    private static metadata;
    /**
     * @inheritdoc
     */
    getMetadata(): IActionHandlerMetadata;
    /**
     * @inheritdoc
     */
    getProcessor(options: any, context: IContext, snapshot: ActionSnapshot, parameters: IDelegatedParameters): ActionProcessor;
}
