"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MakeDirActionHandler = exports.MakeDirActionProcessor = void 0;
const models_1 = require("../../models");
const Joi = require("joi");
const utils_1 = require("../../utils");
class MakeDirActionProcessor extends models_1.ActionProcessor {
    /**
     * @inheritdoc
     */
    getValidationSchema() {
        return MakeDirActionProcessor.validationSchema;
    }
    /**
     * @inheritdoc
     */
    execute() {
        return __awaiter(this, void 0, void 0, function* () {
            const path = utils_1.FSUtil.getAbsolutePath(this.options, this.snapshot.wd);
            yield utils_1.FSUtil.mkdirp(path);
        });
    }
}
exports.MakeDirActionProcessor = MakeDirActionProcessor;
MakeDirActionProcessor.validationSchema = Joi.string().min(1).required();
class MakeDirActionHandler extends models_1.ActionHandler {
    /**
     * @inheritdoc
     */
    getMetadata() {
        return MakeDirActionHandler.metadata;
    }
    /**
     * @inheritdoc
     */
    getProcessor(options, context, snapshot, parameters) {
        return new MakeDirActionProcessor(options, context, snapshot, parameters);
    }
}
exports.MakeDirActionHandler = MakeDirActionHandler;
MakeDirActionHandler.metadata = {
    id: 'com.fireblink.fbl.fs.dir.create',
    aliases: ['fbl.fs.dir.create', 'fs.dir.create', 'dir.create', 'mkdir -p', 'mkdir'],
};
//# sourceMappingURL=MakeDirActionHandler.js.map