"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasePromptActionProcessor = void 0;
const models_1 = require("../../models");
const errors_1 = require("../../errors");
const prompts = require('prompts');
class BasePromptActionProcessor extends models_1.ActionProcessor {
    /**
     * Prompt user
     * @param config
     * @return {Promise<any>}
     */
    prompt(config) {
        return __awaiter(this, void 0, void 0, function* () {
            let canceled = false;
            config.name = 'value';
            const value = (yield prompts(config, {
                onCancel: () => {
                    canceled = true;
                    return false;
                },
            })).value;
            if (canceled) {
                throw new errors_1.ActionError('Prompt canceled by user', 'USER_INTERUPTION');
            }
            return value;
        });
    }
}
exports.BasePromptActionProcessor = BasePromptActionProcessor;
//# sourceMappingURL=BasePromptActionProcessor.js.map