import { ActionSnapshot, ActionHandler, ActionProcessor } from '../../models';
import { IActionHandlerMetadata, IContext, IDelegatedParameters } from '../../interfaces';
import * as Joi from 'joi';
import { BasePromptActionProcessor } from './BasePromptActionProcessor';
export declare class ConfirmActionProcessor extends BasePromptActionProcessor {
    private static validationSchema;
    /**
     * @inheritdoc
     */
    getValidationSchema(): Joi.Schema | null;
    /**
     * @inheritdoc
     */
    execute(): Promise<void>;
}
export declare class ConfirmActionHandler extends ActionHandler {
    private static metadata;
    /**
     * @inheritdoc
     */
    getMetadata(): IActionHandlerMetadata;
    /**
     * @inheritdoc
     */
    getProcessor(options: any, context: IContext, snapshot: ActionSnapshot, parameters: IDelegatedParameters): ActionProcessor;
}
