"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.YamlReporter = void 0;
const util_1 = require("util");
const js_yaml_1 = require("js-yaml");
const fs_1 = require("fs");
class YamlReporter {
    /**
     * @inheritdoc
     */
    getName() {
        return 'yaml';
    }
    /**
     * @inheritdoc
     */
    generate(output, options, report) {
        return __awaiter(this, void 0, void 0, function* () {
            const sanitisedSnapshot = JSON.parse(JSON.stringify(report));
            yield util_1.promisify(fs_1.writeFile)(output, js_yaml_1.dump(sanitisedSnapshot), 'utf8');
        });
    }
}
exports.YamlReporter = YamlReporter;
//# sourceMappingURL=YamlReporter.js.map