"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HashTemplateUtility = void 0;
const crypto_1 = require("crypto");
const object_collider_1 = require("object-collider");
const errors_1 = require("../../errors");
class HashTemplateUtility {
    /**
     * @inheritdoc
     */
    getUtilities(context, snapshot, parameters) {
        return {
            hash: (str, algorithm = 'sha256', encoding = 'hex') => {
                if (object_collider_1.isMissing(str)) {
                    throw new errors_1.ActionError('Unable to calculate hash of missing value', errors_1.INVALID_CONFIGURATION);
                }
                if (typeof str !== 'string') {
                    throw new errors_1.ActionError('Unable to calculate hash of non-string value', errors_1.INVALID_CONFIGURATION);
                }
                return crypto_1.createHash(algorithm)
                    .update(str)
                    .digest(encoding);
            },
        };
    }
}
exports.HashTemplateUtility = HashTemplateUtility;
//# sourceMappingURL=HashTemplateUtility.js.map