"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UUIDTemplateUtility = void 0;
const uuid_1 = require("uuid");
class UUIDTemplateUtility {
    /**
     * @inheritdoc
     */
    getUtilities(context, snapshot, parameters) {
        return {
            UUID: {
                v4: () => {
                    return uuid_1.v4();
                },
                v5: {
                    DNS: (dns) => {
                        return uuid_1.v5(dns, uuid_1.v5.DNS);
                    },
                    URL: (url) => {
                        return uuid_1.v5(url, uuid_1.v5.URL);
                    },
                    custom: (name, uuid) => {
                        return uuid_1.v5(name, uuid);
                    },
                },
            },
        };
    }
}
exports.UUIDTemplateUtility = UUIDTemplateUtility;
//# sourceMappingURL=UUIDTemplateUtility.js.map