"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FBL_ASSIGN_TO_SCHEMA = exports.FBL_ASSIGN_TO_STRING_SCHEMA = exports.FBL_ASSIGN_TO_OBJECT_SCHEMA = void 0;
const Joi = require("joi");
const FBL_ASSIGN_TO_OBJECT_SCHEMA = Joi.object({
    ctx: Joi.string()
        .regex(/^\$\.[^.]+(\.[^.]+)*$/)
        .min(1),
    secrets: Joi.string()
        .regex(/^\$\.[^.]+(\.[^.]+)*$/)
        .min(1),
    parameters: Joi.string()
        .regex(/^\$\.[^.]+(\.[^.]+)*$/)
        .min(1),
    override: Joi.boolean(),
}).or('ctx', 'secrets', 'parameters');
exports.FBL_ASSIGN_TO_OBJECT_SCHEMA = FBL_ASSIGN_TO_OBJECT_SCHEMA;
const FBL_ASSIGN_TO_STRING_SCHEMA = Joi.string()
    .regex(/^\$\.(ctx|secrets|parameters)\.[^.]+(\.[^.]+)*$/)
    .min(1);
exports.FBL_ASSIGN_TO_STRING_SCHEMA = FBL_ASSIGN_TO_STRING_SCHEMA;
const FBL_ASSIGN_TO_SCHEMA = Joi.alternatives(FBL_ASSIGN_TO_OBJECT_SCHEMA, FBL_ASSIGN_TO_STRING_SCHEMA);
exports.FBL_ASSIGN_TO_SCHEMA = FBL_ASSIGN_TO_SCHEMA;
//# sourceMappingURL=assignTo.js.map