import { ActionHandler, ActionSnapshot } from '../models';
import { IPlugin } from '../interfaces';
import { LogService } from './LogService';
export declare class ActionHandlersRegistry {
    private registry;
    private aliases;
    constructor();
    get logService(): LogService;
    /**
     * Register new action handler
     * @param {ActionHandler} handler
     * @param {IPlugin} plugin
     * @param {ActionSnapshot} [snapshot]
     * @return self instance
     */
    register(handler: ActionHandler, plugin: IPlugin, snapshot?: ActionSnapshot): ActionHandlersRegistry;
    /**
     * Unregister handler by name
     * @param {string} id
     * @return self instance
     */
    unregister(id: string): ActionHandlersRegistry;
    cleanup(): ActionHandlersRegistry;
    /**
     * Find action handler by id or alias
     * @param {string} idOrAlias
     */
    find(idOrAlias: string): ActionHandler | null;
}
