import { FlowService, FBLService, LogService } from './index';
import { TempPathsRegistry } from './TempPathsRegistry';
export declare class CLIService {
    private globalConfig;
    private flowFilePath;
    private flowTarget;
    private static CORE_PLUGINS;
    get fbl(): FBLService;
    get flowService(): FlowService;
    get tempPathsRegistry(): TempPathsRegistry;
    get logService(): LogService;
    run(): Promise<void>;
    /**
     * Print summary
     * @param {ISummaryRecord[]} records
     */
    private static printSummary;
    /**
     * Parse parameters passed via CLI
     */
    private parseParameters;
    /**
     * Output help to stdout
     * @param options
     */
    private printHelp;
    /**
     * Register plugins
     */
    private registerPlugins;
    /**
     * Prepare context
     * @return {Promise<IContext>}
     */
    private prepareContext;
    /**
     * Convert key=value pairs into object
     * @param {string} kv key/value pair string
     * @param target
     * @param secret
     */
    private convertKVPair;
}
