/// <reference types="node" />
import { ChildProcess } from 'child_process';
export declare class ChildProcessService {
    /**
     * Execute command
     * @param {string} executable
     * @param {any[]} args
     * @param {string} wd
     * @param {object} on stdout/stderr handlers
     * @return {Promise<number>}
     */
    exec(executable: string, args: any[], wd: string, on?: {
        stdout?: (chunk: any) => void;
        stderr?: (chunk: any) => void;
        process?: (process: ChildProcess) => void;
    }): Promise<number>;
}
