"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChildProcessService = void 0;
const child_process_1 = require("child_process");
const typedi_1 = require("typedi");
let ChildProcessService = class ChildProcessService {
    /**
     * Execute command
     * @param {string} executable
     * @param {any[]} args
     * @param {string} wd
     * @param {object} on stdout/stderr handlers
     * @return {Promise<number>}
     */
    exec(executable, args, wd, on) {
        return __awaiter(this, void 0, void 0, function* () {
            let exitCode = -1;
            yield new Promise((resolve, reject) => {
                const process = child_process_1.spawn(executable, args, {
                    cwd: wd,
                    shell: true,
                });
                if (on && on.stdout) {
                    process.stdout.on('data', data => {
                        on.stdout(data);
                    });
                }
                if (on && on.stderr) {
                    process.stderr.on('data', data => {
                        on.stderr(data);
                    });
                }
                if (on && on.process) {
                    on.process(process);
                }
                let error;
                /* istanbul ignore next */
                process.on('error', e => {
                    error = e;
                });
                process.on('close', code => {
                    exitCode = code;
                    /* istanbul ignore next */
                    if (error) {
                        exitCode = -1;
                        return reject(error);
                    }
                    resolve();
                });
            });
            return exitCode;
        });
    }
};
ChildProcessService = __decorate([
    typedi_1.Service()
], ChildProcessService);
exports.ChildProcessService = ChildProcessService;
//# sourceMappingURL=ChildProcessService.js.map