"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogService = void 0;
const typedi_1 = require("typedi");
let LogService = class LogService {
    constructor() {
        this.infoEnabled = false;
    }
    /**
     * Enable info logs
     */
    enableInfoLogs() {
        this.infoEnabled = true;
    }
    /**
     * Print info log
     * @param message
     */
    info(message) {
        if (this.infoEnabled) {
            console.log(`${this.getTime()}: ${message}`);
        }
    }
    /**
     * Print error log
     * @param message
     */
    error(message) {
        console.error(`${this.getTime()}: ${message}`);
    }
    getTime() {
        const now = new Date();
        return `${now.getHours()}:${now.getMinutes()}:${now.getSeconds()}.${now.getMilliseconds()}`;
    }
};
LogService = __decorate([
    typedi_1.Service()
], LogService);
exports.LogService = LogService;
//# sourceMappingURL=LogService.js.map